Skip to main content
GET
/
exchange_accounts
/
paged
TypeScript
const response: Promise<FireblocksResponse<GetPagedExchangeAccountsResponse>> = fireblocks.exchangeAccounts.getPagedExchangeAccounts(exchangeAccountsApiGetPagedExchangeAccountsRequest);
{
  "exchanges": [
    {
      "id": "<string>",
      "type": "INDEPENDENT_RESERVE",
      "name": "<string>",
      "status": "<string>",
      "assets": [
        {
          "id": "<string>",
          "balance": "<string>",
          "lockedAmount": "<string>",
          "total": "<string>",
          "available": "<string>",
          "credit": "<string>",
          "assetId": "2306088f-97ed-4293-8d28-8ab627f272d7",
          "providerSymbol": "BTC",
          "assetSymbol": "BTC",
          "assetLegacyId": "BTC"
        }
      ],
      "success": true,
      "tradingAccounts": [
        {
          "type": "<string>",
          "name": "<string>",
          "assets": [
            {
              "id": "<string>",
              "balance": "<string>",
              "lockedAmount": "<string>",
              "total": "<string>",
              "available": "<string>",
              "credit": "<string>",
              "assetId": "2306088f-97ed-4293-8d28-8ab627f272d7",
              "providerSymbol": "BTC",
              "assetSymbol": "BTC",
              "assetLegacyId": "BTC"
            }
          ]
        }
      ],
      "isSubaccount": true,
      "mainAccountId": "<string>"
    }
  ],
  "paging": {
    "after": "<string>",
    "before": "<string>"
  },
  "prevUrl": "<string>",
  "nextUrl": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

before
string
after
string
limit
number
default:3
required

number of exchanges per page

Required range: 1 <= x <= 5

Response

An ExchangeAccount object

exchanges
object[]
required
paging
object
prevUrl
string
nextUrl
string